Loading...
Searching...
No Matches
itk::GPUObjectFactoryBase< NDimensions > Class Template Reference

`#include <itkGPUObjectFactoryBase.h>`

## Detailed Description

template<typename NDimensions>
class itk::GPUObjectFactoryBase< NDimensions >

Base class for all GPU factory classes.

Author
  Denis P. Shamonin and Marius Staring. Division of Image Processing, Department of Radiology, Leiden, The Netherlands

Note
  This work was funded by the Netherlands Organisation for Scientific Research (NWO NRG-2010.02 and NWO 639.021.124).

Definition at line 40 of file itkGPUObjectFactoryBase.h.

Inheritance diagram for itk::GPUObjectFactoryBase< NDimensions >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = GPUObjectFactoryBase
using | Superclass = ObjectFactoryBase

## Public Member Functions

virtual const char * | GetClassName () const
const char * | GetITKSourceVersion () const override
| ITK_DISALLOW_COPY_AND_MOVE (GPUObjectFactoryBase)
| itkStaticConstMacro (Support1D, bool, NDimensions::Support1D)
| itkStaticConstMacro (Support2D, bool, NDimensions::Support2D)
| itkStaticConstMacro (Support3D, bool, NDimensions::Support3D)
virtual void | RegisterAll ()

## Protected Member Functions

| GPUObjectFactoryBase ()=default
virtual void | Register1D ()
virtual void | Register2D ()
virtual void | Register3D ()
| ~GPUObjectFactoryBase () override=default

## Member Typedef Documentation

## ConstPointer

template<typename NDimensions>

using itk::GPUObjectFactoryBase< NDimensions >::ConstPointer = SmartPointer<const Self>

Definition at line 48 of file itkGPUObjectFactoryBase.h.

## Pointer

template<typename NDimensions>

using itk::GPUObjectFactoryBase< NDimensions >::Pointer = SmartPointer<Self>

Definition at line 47 of file itkGPUObjectFactoryBase.h.

## Self

template<typename NDimensions>

using itk::GPUObjectFactoryBase< NDimensions >::Self = GPUObjectFactoryBase

Definition at line 45 of file itkGPUObjectFactoryBase.h.

## Superclass

template<typename NDimensions>

using itk::GPUObjectFactoryBase< NDimensions >::Superclass = ObjectFactoryBase

Definition at line 46 of file itkGPUObjectFactoryBase.h.

## Constructor & Destructor Documentation

## GPUObjectFactoryBase()

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::GPUObjectFactoryBase | ( |  | ) |

protected default

## ~GPUObjectFactoryBase()

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::~GPUObjectFactoryBase | ( |  | ) |

override protected default

## Member Function Documentation

## GetClassName()

template<typename NDimensions>

virtual const char * itk::GPUObjectFactoryBase< NDimensions >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented in itk::GPUAdvancedCombinationTransformFactory2< NDimensions >, itk::GPUAdvancedEuler2DTransformFactory2< NDimensions >, itk::GPUAdvancedEuler3DTransformFactory2< NDimensions >, itk::GPUAdvancedMatrixOffsetTransformBaseFactory2< NDimensions >, itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >, itk::GPUAdvancedSimilarity3DTransformFactory2< NDimensions >, itk::GPUAdvancedTranslationTransformFactory2< NDimensions >, itk::GPUAffineTransformFactory2< NDimensions >, itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUBSplineInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUBSplineTransformFactory2< NDimensions >, itk::GPUCastImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUCompositeTransformFactory2< NDimensions >, itk::GPUEuler2DTransformFactory2< NDimensions >, itk::GPUEuler3DTransformFactory2< NDimensions >, itk::GPUIdentityTransformFactory2< NDimensions >, itk::GPUImageFactory2< TTypeList, NDimensions >, itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUNearestNeighborInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPURecursiveGaussianImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUResampleImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUSimilarity2DTransformFactory2< NDimensions >, itk::GPUSimilarity3DTransformFactory2< NDimensions >, and itk::GPUTranslationTransformFactory2< NDimensions >.

## GetITKSourceVersion()

template<typename NDimensions>

const char * itk::GPUObjectFactoryBase< NDimensions >::GetITKSourceVersion | ( |  | ) | const

inline override

Class methods used to interface with the registered factories.

Definition at line 52 of file itkGPUObjectFactoryBase.h.

## ITK_DISALLOW_COPY_AND_MOVE()

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::ITK_DISALLOW_COPY_AND_MOVE | ( | GPUObjectFactoryBase< NDimensions > |  | ) |

## itkStaticConstMacro() [1/3]

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::itkStaticConstMacro | ( | Support1D | ,
|  | bool | ,
|  | NDimensions::Support1D | )

Supported dimensions.

## itkStaticConstMacro() [2/3]

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::itkStaticConstMacro | ( | Support2D | ,
|  | bool | ,
|  | NDimensions::Support2D | )

## itkStaticConstMacro() [3/3]

template<typename NDimensions>

itk::GPUObjectFactoryBase< NDimensions >::itkStaticConstMacro | ( | Support3D | ,
|  | bool | ,
|  | NDimensions::Support3D | )

## Register1D()

template<typename NDimensions>

virtual void itk::GPUObjectFactoryBase< NDimensions >::Register1D | ( |  | ) |

inline protected virtual

Register methods for 1D.

Reimplemented in itk::GPUAdvancedCombinationTransformFactory2< NDimensions >, itk::GPUAdvancedMatrixOffsetTransformBaseFactory2< NDimensions >, itk::GPUAdvancedTranslationTransformFactory2< NDimensions >, itk::GPUAffineTransformFactory2< NDimensions >, itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUBSplineInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUBSplineTransformFactory2< NDimensions >, itk::GPUCastImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUCompositeTransformFactory2< NDimensions >, itk::GPUIdentityTransformFactory2< NDimensions >, itk::GPUImageFactory2< TTypeList, NDimensions >, itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUNearestNeighborInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPURecursiveGaussianImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUResampleImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, and itk::GPUTranslationTransformFactory2< NDimensions >.

Definition at line 76 of file itkGPUObjectFactoryBase.h.

## Register2D()

template<typename NDimensions>

virtual void itk::GPUObjectFactoryBase< NDimensions >::Register2D | ( |  | ) |

inline protected virtual

Register methods for 2D.

Reimplemented in itk::GPUAdvancedCombinationTransformFactory2< NDimensions >, itk::GPUAdvancedEuler2DTransformFactory2< NDimensions >, itk::GPUAdvancedMatrixOffsetTransformBaseFactory2< NDimensions >, itk::GPUAdvancedSimilarity2DTransformFactory2< NDimensions >, itk::GPUAdvancedTranslationTransformFactory2< NDimensions >, itk::GPUAffineTransformFactory2< NDimensions >, itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUBSplineInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUBSplineTransformFactory2< NDimensions >, itk::GPUCastImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUCompositeTransformFactory2< NDimensions >, itk::GPUEuler2DTransformFactory2< NDimensions >, itk::GPUIdentityTransformFactory2< NDimensions >, itk::GPUImageFactory2< TTypeList, NDimensions >, itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUNearestNeighborInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPURecursiveGaussianImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUResampleImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUSimilarity2DTransformFactory2< NDimensions >, and itk::GPUTranslationTransformFactory2< NDimensions >.

Definition at line 81 of file itkGPUObjectFactoryBase.h.

## Register3D()

template<typename NDimensions>

virtual void itk::GPUObjectFactoryBase< NDimensions >::Register3D | ( |  | ) |

inline protected virtual

Register methods for 3D.

Reimplemented in itk::GPUAdvancedCombinationTransformFactory2< NDimensions >, itk::GPUAdvancedEuler3DTransformFactory2< NDimensions >, itk::GPUAdvancedMatrixOffsetTransformBaseFactory2< NDimensions >, itk::GPUAdvancedSimilarity3DTransformFactory2< NDimensions >, itk::GPUAdvancedTranslationTransformFactory2< NDimensions >, itk::GPUAffineTransformFactory2< NDimensions >, itk::GPUBSplineDecompositionImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUBSplineInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUBSplineTransformFactory2< NDimensions >, itk::GPUCastImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUCompositeTransformFactory2< NDimensions >, itk::GPUEuler3DTransformFactory2< NDimensions >, itk::GPUIdentityTransformFactory2< NDimensions >, itk::GPUImageFactory2< TTypeList, NDimensions >, itk::GPULinearInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPUNearestNeighborInterpolateImageFunctionFactory2< TTypeList, NDimensions >, itk::GPURecursiveGaussianImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUResampleImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUShrinkImageFilterFactory2< TTypeListIn, TTypeListOut, NDimensions >, itk::GPUSimilarity3DTransformFactory2< NDimensions >, and itk::GPUTranslationTransformFactory2< NDimensions >.

Definition at line 86 of file itkGPUObjectFactoryBase.h.

## RegisterAll()

template<typename NDimensions>

virtual void itk::GPUObjectFactoryBase< NDimensions >::RegisterAll | ( |  | ) |

virtual

Main register method. This method is usually called by the derived class in the constructor or after UnRegisterAllFactories() was called.

Generated on 1768596610 for elastix by 1.15.0 |